Hex Artifact Content

Artifact 0d543b9c73ef48cff5a755e701664059ee7013f1:


0000: 23 21 20 2f 75 73 72 2f 62 69 6e 2f 65 6e 76 20  #! /usr/bin/env 
0010: 62 61 73 68 0a 0a 69 66 20 5b 20 21 20 2d 66 20  bash..if [ ! -f 
0020: 27 62 75 69 6c 64 2e 73 68 27 20 5d 3b 20 74 68  'build.sh' ]; th
0030: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
0040: 20 54 68 69 73 20 73 63 72 69 70 74 20 6d 75 73   This script mus
0050: 74 20 62 65 20 72 75 6e 20 66 72 6f 6d 20 74 68  t be run from th
0060: 65 20 64 69 72 65 63 74 6f 72 79 20 69 74 20 69  e directory it i
0070: 73 20 69 6e 27 20 3e 26 32 0a 0a 09 65 78 69 74  s in' >&2...exit
0080: 20 31 0a 66 69 0a 69 66 20 5b 20 2d 7a 20 22 24   1.fi.if [ -z "$
0090: 7b 54 43 4c 56 45 52 53 7d 22 20 5d 3b 20 74 68  {TCLVERS}" ]; th
00a0: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
00b0: 20 54 68 65 20 54 43 4c 56 45 52 53 20 65 6e 76   The TCLVERS env
00c0: 69 72 6f 6e 6d 65 6e 74 20 76 61 72 69 61 62 6c  ironment variabl
00d0: 65 20 69 73 20 6e 6f 74 20 73 65 74 27 20 3e 26  e is not set' >&
00e0: 32 0a 0a 09 65 78 69 74 20 31 0a 66 69 0a 0a 54  2...exit 1.fi..T
00f0: 43 4c 58 56 45 52 53 3d 22 38 2e 34 2e 31 22 0a  CLXVERS="8.4.1".
0100: 53 52 43 3d 22 73 72 63 2f 74 63 6c 78 24 7b 54  SRC="src/tclx${T
0110: 43 4c 58 56 45 52 53 7d 2e 74 61 72 2e 62 7a 32  CLXVERS}.tar.bz2
0120: 22 0a 53 52 43 55 52 4c 3d 22 68 74 74 70 3a 2f  ".SRCURL="http:/
0130: 2f 73 6f 75 72 63 65 66 6f 72 67 65 2e 6e 65 74  /sourceforge.net
0140: 2f 70 72 6f 6a 65 63 74 73 2f 74 63 6c 78 2f 66  /projects/tclx/f
0150: 69 6c 65 73 2f 54 63 6c 58 2f 24 7b 54 43 4c 58  iles/TclX/${TCLX
0160: 56 45 52 53 7d 2f 74 63 6c 78 24 7b 54 43 4c 58  VERS}/tclx${TCLX
0170: 56 45 52 53 7d 2e 74 61 72 2e 62 7a 32 2f 64 6f  VERS}.tar.bz2/do
0180: 77 6e 6c 6f 61 64 22 0a 53 52 43 48 41 53 48 3d  wnload".SRCHASH=
0190: 27 2d 27 0a 42 55 49 4c 44 44 49 52 3d 22 24 28  '-'.BUILDDIR="$(
01a0: 70 77 64 29 2f 62 75 69 6c 64 2f 74 63 6c 78 38  pwd)/build/tclx8
01b0: 2e 34 22 0a 4f 55 54 44 49 52 3d 22 24 28 70 77  .4".OUTDIR="$(pw
01c0: 64 29 2f 6f 75 74 22 0a 49 4e 53 54 44 49 52 3d  d)/out".INSTDIR=
01d0: 22 24 28 70 77 64 29 2f 69 6e 73 74 22 0a 50 41  "$(pwd)/inst".PA
01e0: 54 43 48 44 49 52 3d 22 24 28 70 77 64 29 2f 70  TCHDIR="$(pwd)/p
01f0: 61 74 63 68 65 73 22 0a 65 78 70 6f 72 74 20 54  atches".export T
0200: 43 4c 58 56 45 52 53 20 53 52 43 20 53 52 43 55  CLXVERS SRC SRCU
0210: 52 4c 20 42 55 49 4c 44 44 49 52 20 4f 55 54 44  RL BUILDDIR OUTD
0220: 49 52 20 49 4e 53 54 44 49 52 20 50 41 54 43 48  IR INSTDIR PATCH
0230: 44 49 52 0a 0a 23 20 53 65 74 20 63 6f 6e 66 69  DIR..# Set confi
0240: 67 75 72 65 20 6f 70 74 69 6f 6e 73 20 66 6f 72  gure options for
0250: 20 74 68 69 73 20 73 75 62 2d 70 72 6f 6a 65 63   this sub-projec
0260: 74 0a 4c 44 46 4c 41 47 53 3d 22 24 7b 4c 44 46  t.LDFLAGS="${LDF
0270: 4c 41 47 53 7d 20 24 7b 4b 43 5f 54 43 4c 58 5f  LAGS} ${KC_TCLX_
0280: 4c 44 46 4c 41 47 53 7d 22 0a 43 46 4c 41 47 53  LDFLAGS}".CFLAGS
0290: 3d 22 24 7b 43 46 4c 41 47 53 7d 20 24 7b 4b 43  ="${CFLAGS} ${KC
02a0: 5f 54 43 4c 58 5f 43 46 4c 41 47 53 7d 22 0a 43  _TCLX_CFLAGS}".C
02b0: 50 50 46 4c 41 47 53 3d 22 24 7b 43 50 50 46 4c  PPFLAGS="${CPPFL
02c0: 41 47 53 7d 20 24 7b 4b 43 5f 54 43 4c 58 5f 43  AGS} ${KC_TCLX_C
02d0: 50 50 46 4c 41 47 53 7d 22 0a 4c 49 42 53 3d 22  PPFLAGS}".LIBS="
02e0: 24 7b 4c 49 42 53 7d 20 24 7b 4b 43 5f 54 43 4c  ${LIBS} ${KC_TCL
02f0: 58 5f 4c 49 42 53 7d 22 0a 65 78 70 6f 72 74 20  X_LIBS}".export 
0300: 4c 44 46 4c 41 47 53 20 43 46 4c 41 47 53 20 43  LDFLAGS CFLAGS C
0310: 50 50 46 4c 41 47 53 20 4c 49 42 53 0a 0a 72 6d  PPFLAGS LIBS..rm
0320: 20 2d 72 66 20 27 62 75 69 6c 64 27 20 27 6f 75   -rf 'build' 'ou
0330: 74 27 20 27 69 6e 73 74 27 0a 6d 6b 64 69 72 20  t' 'inst'.mkdir 
0340: 27 62 75 69 6c 64 27 20 27 6f 75 74 27 20 27 69  'build' 'out' 'i
0350: 6e 73 74 27 20 7c 7c 20 65 78 69 74 20 31 0a 0a  nst' || exit 1..
0360: 54 43 4c 5f 56 45 52 53 49 4f 4e 3d 22 75 6e 6b  TCL_VERSION="unk
0370: 6e 6f 77 6e 22 0a 69 66 20 5b 20 2d 66 20 22 24  nown".if [ -f "$
0380: 7b 54 43 4c 43 4f 4e 46 49 47 44 49 52 7d 2f 74  {TCLCONFIGDIR}/t
0390: 63 6c 43 6f 6e 66 69 67 2e 73 68 22 20 5d 3b 20  clConfig.sh" ]; 
03a0: 74 68 65 6e 0a 20 20 20 20 20 20 20 20 73 6f 75  then.        sou
03b0: 72 63 65 20 22 24 7b 54 43 4c 43 4f 4e 46 49 47  rce "${TCLCONFIG
03c0: 44 49 52 7d 2f 74 63 6c 43 6f 6e 66 69 67 2e 73  DIR}/tclConfig.s
03d0: 68 22 0a 66 69 0a 65 78 70 6f 72 74 20 54 43 4c  h".fi.export TCL
03e0: 5f 56 45 52 53 49 4f 4e 0a 0a 69 66 20 5b 20 21  _VERSION..if [ !
03f0: 20 2d 66 20 22 24 7b 53 52 43 7d 22 20 5d 3b 20   -f "${SRC}" ]; 
0400: 74 68 65 6e 0a 09 6d 6b 64 69 72 20 27 73 72 63  then..mkdir 'src
0410: 27 20 3e 2f 64 65 76 2f 6e 75 6c 6c 20 32 3e 2f  ' >/dev/null 2>/
0420: 64 65 76 2f 6e 75 6c 6c 0a 0a 09 69 66 20 5b 20  dev/null...if [ 
0430: 21 20 2d 64 20 27 62 75 69 6c 64 73 72 63 27 20  ! -d 'buildsrc' 
0440: 5d 3b 20 74 68 65 6e 0a 09 09 64 6f 77 6e 6c 6f  ]; then...downlo
0450: 61 64 20 22 24 7b 53 52 43 55 52 4c 7d 22 20 22  ad "${SRCURL}" "
0460: 24 7b 53 52 43 7d 22 20 22 24 7b 53 52 43 48 41  ${SRC}" "${SRCHA
0470: 53 48 7d 22 20 7c 7c 20 65 78 69 74 20 31 0a 09  SH}" || exit 1..
0480: 66 69 0a 66 69 0a 0a 28 0a 09 63 64 20 27 62 75  fi.fi..(..cd 'bu
0490: 69 6c 64 27 20 7c 7c 20 65 78 69 74 20 31 0a 0a  ild' || exit 1..
04a0: 09 69 66 20 5b 20 21 20 2d 64 20 27 2e 2e 2f 62  .if [ ! -d '../b
04b0: 75 69 6c 64 73 72 63 27 20 5d 3b 20 74 68 65 6e  uildsrc' ]; then
04c0: 0a 09 09 62 7a 69 70 32 20 2d 64 63 20 22 2e 2e  ...bzip2 -dc "..
04d0: 2f 24 7b 53 52 43 7d 22 20 7c 20 74 61 72 20 2d  /${SRC}" | tar -
04e0: 78 66 20 2d 0a 09 65 6c 73 65 20 20 20 20 0a 09  xf -..else    ..
04f0: 09 63 70 20 2d 72 70 20 2e 2e 2f 62 75 69 6c 64  .cp -rp ../build
0500: 73 72 63 2f 2a 20 27 2e 2f 27 0a 09 66 69 0a 0a  src/* './'..fi..
0510: 09 23 20 41 70 70 6c 79 20 72 65 71 75 69 72 65  .# Apply require
0520: 64 20 70 61 74 63 68 65 73 0a 09 63 64 20 22 24  d patches..cd "$
0530: 7b 42 55 49 4c 44 44 49 52 7d 22 20 7c 7c 20 65  {BUILDDIR}" || e
0540: 78 69 74 20 31 0a 09 66 6f 72 20 70 61 74 63 68  xit 1..for patch
0550: 20 69 6e 20 22 24 7b 50 41 54 43 48 44 49 52 7d   in "${PATCHDIR}
0560: 2f 61 6c 6c 22 2f 74 63 6c 78 2d 24 7b 54 43 4c  /all"/tclx-${TCL
0570: 58 56 45 52 53 7d 2d 2a 2e 64 69 66 66 20 22 24  XVERS}-*.diff "$
0580: 7b 50 41 54 43 48 44 49 52 7d 2f 24 7b 54 43 4c  {PATCHDIR}/${TCL
0590: 5f 56 45 52 53 49 4f 4e 7d 22 2f 74 63 6c 78 2d  _VERSION}"/tclx-
05a0: 24 7b 54 43 4c 58 56 45 52 53 7d 2d 2a 2e 64 69  ${TCLXVERS}-*.di
05b0: 66 66 3b 20 64 6f 0a 09 09 69 66 20 5b 20 21 20  ff; do...if [ ! 
05c0: 2d 66 20 22 24 7b 70 61 74 63 68 7d 22 20 5d 3b  -f "${patch}" ];
05d0: 20 74 68 65 6e 0a 09 09 09 63 6f 6e 74 69 6e 75   then....continu
05e0: 65 0a 09 09 66 69 0a 0a 09 09 65 63 68 6f 20 22  e...fi....echo "
05f0: 41 70 70 6c 79 69 6e 67 3a 20 24 7b 70 61 74 63  Applying: ${patc
0600: 68 7d 22 0a 09 09 24 7b 50 41 54 43 48 3a 2d 70  h}"...${PATCH:-p
0610: 61 74 63 68 7d 20 2d 70 31 20 3c 20 22 24 7b 70  atch} -p1 < "${p
0620: 61 74 63 68 7d 22 0a 09 64 6f 6e 65 0a 0a 09 63  atch}"..done...c
0630: 64 20 22 24 7b 42 55 49 4c 44 44 49 52 7d 22 20  d "${BUILDDIR}" 
0640: 7c 7c 20 65 78 69 74 20 31 0a 0a 09 23 20 54 72  || exit 1...# Tr
0650: 79 20 74 6f 20 62 75 69 6c 64 20 61 73 20 61 20  y to build as a 
0660: 73 68 61 72 65 64 20 6f 62 6a 65 63 74 20 69 66  shared object if
0670: 20 72 65 71 75 65 73 74 65 64 0a 09 69 66 20 5b   requested..if [
0680: 20 22 24 7b 53 54 41 54 49 43 54 43 4c 58 7d 22   "${STATICTCLX}"
0690: 20 3d 20 22 30 22 20 5d 3b 20 74 68 65 6e 0a 09   = "0" ]; then..
06a0: 09 74 72 79 6f 70 74 73 3d 22 2d 2d 65 6e 61 62  .tryopts="--enab
06b0: 6c 65 2d 73 68 61 72 65 64 20 2d 2d 64 69 73 61  le-shared --disa
06c0: 62 6c 65 2d 73 68 61 72 65 64 22 0a 09 65 6c 69  ble-shared"..eli
06d0: 66 20 5b 20 22 24 7b 53 54 41 54 49 43 54 43 4c  f [ "${STATICTCL
06e0: 58 7d 22 20 3d 20 22 2d 31 22 20 5d 3b 20 74 68  X}" = "-1" ]; th
06f0: 65 6e 0a 09 09 74 72 79 6f 70 74 73 3d 22 2d 2d  en...tryopts="--
0700: 65 6e 61 62 6c 65 2d 73 68 61 72 65 64 22 0a 09  enable-shared"..
0710: 65 6c 73 65 0a 09 09 74 72 79 6f 70 74 73 3d 22  else...tryopts="
0720: 2d 2d 64 69 73 61 62 6c 65 2d 73 68 61 72 65 64  --disable-shared
0730: 22 0a 09 66 69 0a 0a 09 53 41 56 45 5f 43 46 4c  "..fi...SAVE_CFL
0740: 41 47 53 3d 22 24 7b 43 46 4c 41 47 53 7d 22 0a  AGS="${CFLAGS}".
0750: 09 66 6f 72 20 74 72 79 6f 70 74 20 69 6e 20 24  .for tryopt in $
0760: 74 72 79 6f 70 74 73 20 5f 5f 66 61 69 6c 5f 5f  tryopts __fail__
0770: 3b 20 64 6f 0a 09 09 23 20 43 6c 65 61 6e 20 75  ; do...# Clean u
0780: 70 2c 20 69 66 20 6e 65 65 64 65 64 0a 09 09 6d  p, if needed...m
0790: 61 6b 65 20 64 69 73 74 63 6c 65 61 6e 20 3e 2f  ake distclean >/
07a0: 64 65 76 2f 6e 75 6c 6c 20 32 3e 2f 64 65 76 2f  dev/null 2>/dev/
07b0: 6e 75 6c 6c 0a 09 09 72 6d 20 2d 72 66 20 22 24  null...rm -rf "$
07c0: 7b 49 4e 53 54 44 49 52 7d 22 0a 09 09 6d 6b 64  {INSTDIR}"...mkd
07d0: 69 72 20 22 24 7b 49 4e 53 54 44 49 52 7d 22 0a  ir "${INSTDIR}".
07e0: 0a 09 09 69 66 20 5b 20 22 24 7b 74 72 79 6f 70  ...if [ "${tryop
07f0: 74 7d 22 20 3d 20 22 5f 5f 66 61 69 6c 5f 5f 22  t}" = "__fail__"
0800: 20 5d 3b 20 74 68 65 6e 0a 09 09 09 65 78 69 74   ]; then....exit
0810: 20 31 0a 09 09 66 69 0a 0a 09 09 69 66 20 5b 20   1...fi....if [ 
0820: 22 24 7b 74 72 79 6f 70 74 7d 22 20 3d 3d 20 22  "${tryopt}" == "
0830: 2d 2d 65 6e 61 62 6c 65 2d 73 68 61 72 65 64 22  --enable-shared"
0840: 20 5d 3b 20 74 68 65 6e 0a 09 09 09 69 73 73 68   ]; then....issh
0850: 61 72 65 64 3d 22 31 22 0a 09 09 65 6c 73 65 0a  ared="1"...else.
0860: 09 09 09 69 73 73 68 61 72 65 64 3d 22 30 22 0a  ...isshared="0".
0870: 09 09 66 69 0a 0a 09 09 23 20 49 66 20 62 75 69  ..fi....# If bui
0880: 6c 64 20 61 20 73 74 61 74 69 63 20 54 63 6c 58  ld a static TclX
0890: 20 66 6f 72 20 4b 69 74 44 4c 4c 2c 20 65 6e 73   for KitDLL, ens
08a0: 75 72 65 20 74 68 61 74 20 77 65 20 75 73 65 20  ure that we use 
08b0: 50 49 43 0a 09 09 23 20 73 6f 20 74 68 61 74 20  PIC...# so that 
08c0: 69 74 20 63 61 6e 20 62 65 20 6c 69 6e 6b 65 64  it can be linked
08d0: 20 69 6e 74 6f 20 74 68 65 20 73 68 61 72 65 64   into the shared
08e0: 20 6f 62 6a 65 63 74 0a 09 09 69 66 20 5b 20 22   object...if [ "
08f0: 24 7b 69 73 73 68 61 72 65 64 7d 22 20 3d 20 22  ${isshared}" = "
0900: 30 22 20 2d 61 20 22 24 7b 4b 49 54 54 41 52 47  0" -a "${KITTARG
0910: 45 54 7d 22 20 3d 20 22 6b 69 74 64 6c 6c 22 20  ET}" = "kitdll" 
0920: 5d 3b 20 74 68 65 6e 0a 09 09 09 43 46 4c 41 47  ]; then....CFLAG
0930: 53 3d 22 24 7b 53 41 56 45 5f 43 46 4c 41 47 53  S="${SAVE_CFLAGS
0940: 7d 20 2d 66 50 49 43 22 0a 09 09 65 6c 73 65 0a  } -fPIC"...else.
0950: 09 09 09 43 46 4c 41 47 53 3d 22 24 7b 53 41 56  ...CFLAGS="${SAV
0960: 45 5f 43 46 4c 41 47 53 7d 22 0a 09 09 66 69 0a  E_CFLAGS}"...fi.
0970: 09 09 65 78 70 6f 72 74 20 43 46 4c 41 47 53 0a  ..export CFLAGS.
0980: 0a 09 09 69 66 20 5b 20 22 24 7b 69 73 73 68 61  ...if [ "${issha
0990: 72 65 64 7d 22 20 3d 20 27 30 27 20 5d 3b 20 74  red}" = '0' ]; t
09a0: 68 65 6e 0a 09 09 09 73 65 64 20 27 73 40 55 53  hen....sed 's@US
09b0: 45 5f 54 43 4c 5f 53 54 55 42 53 40 58 58 58 5f  E_TCL_STUBS@XXX_
09c0: 54 43 4c 5f 53 54 55 42 53 40 67 27 20 63 6f 6e  TCL_STUBS@g' con
09d0: 66 69 67 75 72 65 20 3e 20 63 6f 6e 66 69 67 75  figure > configu
09e0: 72 65 2e 6e 65 77 0a 09 09 65 6c 73 65 0a 09 09  re.new...else...
09f0: 09 73 65 64 20 27 73 40 58 58 58 5f 54 43 4c 5f  .sed 's@XXX_TCL_
0a00: 53 54 55 42 53 40 55 53 45 5f 54 43 4c 5f 53 54  STUBS@USE_TCL_ST
0a10: 55 42 53 40 67 27 20 63 6f 6e 66 69 67 75 72 65  UBS@g' configure
0a20: 20 3e 20 63 6f 6e 66 69 67 75 72 65 2e 6e 65 77   > configure.new
0a30: 0a 09 09 66 69 0a 09 09 63 61 74 20 63 6f 6e 66  ...fi...cat conf
0a40: 69 67 75 72 65 2e 6e 65 77 20 3e 20 63 6f 6e 66  igure.new > conf
0a50: 69 67 75 72 65 0a 09 09 72 6d 20 2d 66 20 63 6f  igure...rm -f co
0a60: 6e 66 69 67 75 72 65 2e 6e 65 77 0a 0a 09 09 28  nfigure.new....(
0a70: 0a 09 09 09 65 63 68 6f 20 22 52 75 6e 6e 69 6e  ....echo "Runnin
0a80: 67 3a 20 2e 2f 63 6f 6e 66 69 67 75 72 65 20 24  g: ./configure $
0a90: 74 72 79 6f 70 74 20 2d 2d 70 72 65 66 69 78 3d  tryopt --prefix=
0aa0: 5c 22 24 7b 49 4e 53 54 44 49 52 7d 5c 22 20 2d  \"${INSTDIR}\" -
0ab0: 2d 65 78 65 63 2d 70 72 65 66 69 78 3d 5c 22 24  -exec-prefix=\"$
0ac0: 7b 49 4e 53 54 44 49 52 7d 5c 22 20 2d 2d 6c 69  {INSTDIR}\" --li
0ad0: 62 64 69 72 3d 5c 22 24 7b 49 4e 53 54 44 49 52  bdir=\"${INSTDIR
0ae0: 7d 2f 6c 69 62 5c 22 20 2d 2d 77 69 74 68 2d 74  }/lib\" --with-t
0af0: 63 6c 3d 5c 22 24 7b 54 43 4c 43 4f 4e 46 49 47  cl=\"${TCLCONFIG
0b00: 44 49 52 7d 5c 22 20 24 7b 43 4f 4e 46 49 47 55  DIR}\" ${CONFIGU
0b10: 52 45 45 58 54 52 41 7d 22 0a 09 09 09 2e 2f 63  REEXTRA}"...../c
0b20: 6f 6e 66 69 67 75 72 65 20 24 74 72 79 6f 70 74  onfigure $tryopt
0b30: 20 2d 2d 70 72 65 66 69 78 3d 22 24 7b 49 4e 53   --prefix="${INS
0b40: 54 44 49 52 7d 22 20 2d 2d 65 78 65 63 2d 70 72  TDIR}" --exec-pr
0b50: 65 66 69 78 3d 22 24 7b 49 4e 53 54 44 49 52 7d  efix="${INSTDIR}
0b60: 22 20 2d 2d 6c 69 62 64 69 72 3d 22 24 7b 49 4e  " --libdir="${IN
0b70: 53 54 44 49 52 7d 2f 6c 69 62 22 20 2d 2d 77 69  STDIR}/lib" --wi
0b80: 74 68 2d 74 63 6c 3d 22 24 7b 54 43 4c 43 4f 4e  th-tcl="${TCLCON
0b90: 46 49 47 44 49 52 7d 22 20 24 7b 43 4f 4e 46 49  FIGDIR}" ${CONFI
0ba0: 47 55 52 45 45 58 54 52 41 7d 0a 0a 09 09 09 65  GUREEXTRA}.....e
0bb0: 63 68 6f 20 22 52 75 6e 6e 69 6e 67 3a 20 24 7b  cho "Running: ${
0bc0: 4d 41 4b 45 3a 2d 6d 61 6b 65 7d 20 74 63 6c 6c  MAKE:-make} tcll
0bd0: 69 62 64 69 72 3d 5c 22 24 7b 49 4e 53 54 44 49  ibdir=\"${INSTDI
0be0: 52 7d 2f 6c 69 62 5c 22 20 41 52 3d 5c 22 24 7b  R}/lib\" AR=\"${
0bf0: 41 52 3a 2d 61 72 7d 5c 22 20 52 41 4e 4c 49 42  AR:-ar}\" RANLIB
0c00: 3d 5c 22 24 7b 52 41 4e 4c 49 42 3a 2d 72 61 6e  =\"${RANLIB:-ran
0c10: 6c 69 62 7d 5c 22 22 0a 09 09 09 24 7b 4d 41 4b  lib}\""....${MAK
0c20: 45 3a 2d 6d 61 6b 65 7d 20 74 63 6c 6c 69 62 64  E:-make} tcllibd
0c30: 69 72 3d 22 24 7b 49 4e 53 54 44 49 52 7d 2f 6c  ir="${INSTDIR}/l
0c40: 69 62 22 20 41 52 3d 22 24 7b 41 52 3a 2d 61 72  ib" AR="${AR:-ar
0c50: 7d 22 20 52 41 4e 4c 49 42 3d 22 24 7b 52 41 4e  }" RANLIB="${RAN
0c60: 4c 49 42 3a 2d 72 61 6e 6c 69 62 7d 22 20 7c 7c  LIB:-ranlib}" ||
0c70: 20 65 78 69 74 20 31 0a 0a 09 09 09 65 63 68 6f   exit 1.....echo
0c80: 20 22 52 75 6e 6e 69 6e 67 3a 20 24 7b 4d 41 4b   "Running: ${MAK
0c90: 45 3a 2d 6d 61 6b 65 7d 20 74 63 6c 6c 69 62 64  E:-make} tcllibd
0ca0: 69 72 3d 5c 22 24 7b 49 4e 53 54 44 49 52 7d 2f  ir=\"${INSTDIR}/
0cb0: 6c 69 62 5c 22 20 41 52 3d 5c 22 24 7b 41 52 3a  lib\" AR=\"${AR:
0cc0: 2d 61 72 7d 5c 22 20 52 41 4e 4c 49 42 3d 5c 22  -ar}\" RANLIB=\"
0cd0: 24 7b 52 41 4e 4c 49 42 3a 2d 72 61 6e 6c 69 62  ${RANLIB:-ranlib
0ce0: 7d 5c 22 20 69 6e 73 74 61 6c 6c 22 0a 09 09 09  }\" install"....
0cf0: 24 7b 4d 41 4b 45 3a 2d 6d 61 6b 65 7d 20 74 63  ${MAKE:-make} tc
0d00: 6c 6c 69 62 64 69 72 3d 22 24 7b 49 4e 53 54 44  llibdir="${INSTD
0d10: 49 52 7d 2f 6c 69 62 22 20 41 52 3d 22 24 7b 41  IR}/lib" AR="${A
0d20: 52 3a 2d 61 72 7d 22 20 52 41 4e 4c 49 42 3d 22  R:-ar}" RANLIB="
0d30: 24 7b 52 41 4e 4c 49 42 3a 2d 72 61 6e 6c 69 62  ${RANLIB:-ranlib
0d40: 7d 22 20 69 6e 73 74 61 6c 6c 20 7c 7c 20 65 78  }" install || ex
0d50: 69 74 20 31 0a 09 09 29 20 7c 7c 20 63 6f 6e 74  it 1...) || cont
0d60: 69 6e 75 65 0a 0a 09 09 62 72 65 61 6b 0a 09 64  inue....break..d
0d70: 6f 6e 65 0a 0a 09 69 66 20 5b 20 21 20 2d 65 20  one...if [ ! -e 
0d80: 22 24 7b 49 4e 53 54 44 49 52 7d 2f 6c 69 62 2f  "${INSTDIR}/lib/
0d90: 74 63 6c 78 38 2e 34 2f 70 6b 67 49 6e 64 65 78  tclx8.4/pkgIndex
0da0: 2e 74 63 6c 22 20 5d 3b 20 74 68 65 6e 0a 09 09  .tcl" ]; then...
0db0: 63 61 74 20 3c 3c 20 5f 45 4f 46 5f 20 3e 20 22  cat << _EOF_ > "
0dc0: 24 7b 49 4e 53 54 44 49 52 7d 2f 6c 69 62 2f 74  ${INSTDIR}/lib/t
0dd0: 63 6c 78 38 2e 34 2f 70 6b 67 49 6e 64 65 78 2e  clx8.4/pkgIndex.
0de0: 74 63 6c 22 0a 70 61 63 6b 61 67 65 20 69 66 6e  tcl".package ifn
0df0: 65 65 64 65 64 20 54 63 6c 78 20 38 2e 34 20 5b  eeded Tclx 8.4 [
0e00: 6c 69 73 74 20 6c 6f 61 64 20 7b 7d 20 54 63 6c  list load {} Tcl
0e10: 78 5d 0a 5f 45 4f 46 5f 0a 20 20 20 20 20 20 20  x]._EOF_.       
0e20: 20 66 69 0a 0a 09 23 20 49 6e 73 74 61 6c 6c 20   fi...# Install 
0e30: 66 69 6c 65 73 20 6e 65 65 64 65 64 20 62 79 20  files needed by 
0e40: 69 6e 73 74 61 6c 6c 61 74 69 6f 6e 0a 09 63 70  installation..cp
0e50: 20 2d 72 20 22 24 7b 49 4e 53 54 44 49 52 7d 2f   -r "${INSTDIR}/
0e60: 6c 69 62 22 20 22 24 7b 4f 55 54 44 49 52 7d 22  lib" "${OUTDIR}"
0e70: 20 7c 7c 20 65 78 69 74 20 31 0a 09 66 69 6e 64   || exit 1..find
0e80: 20 22 24 7b 4f 55 54 44 49 52 7d 22 20 2d 6e 61   "${OUTDIR}" -na
0e90: 6d 65 20 27 2a 2e 61 27 20 2d 74 79 70 65 20 66  me '*.a' -type f
0ea0: 20 7c 20 78 61 72 67 73 20 2d 6e 20 31 20 72 6d   | xargs -n 1 rm
0eb0: 20 2d 66 20 2d 2d 0a 0a 09 65 78 69 74 20 30 0a   -f --...exit 0.
0ec0: 29 20 7c 7c 20 65 78 69 74 20 31 0a 0a 65 78 69  ) || exit 1..exi
0ed0: 74 20 30 0a                                      t 0.